Recommended update for wicked

SUSE Recommended Update: Recommended update for wicked
Announcement ID: SUSE-RU-2019:2636-1
Rating: moderate
References: #1042123 #1129986 #1132280 #1132326 #1132774 #1136034 #1140117 #1142670
Affected Products:
  • SUSE CaaS Platform 3.0

An update that has 8 recommended fixes can now be installed.

Description:

This update for wicked fixes the following issues:

  • Fixes an issue where dhclient incorrectly assumes a /64 IPv6 prefix (bsc#1132280)
  • Fixes an issue where the system gets stuck in bringing up the network (bsc#1129986)
  • Fixes an issue where udevadm settle caused systemd to kill wicked services (bsc#1136034, bsc#1132774)
  • Fixes an issue where the value of LLADDR was ignored (bsc#1042123, bsc#1142670)
  • Fixes an issue where wicked was unable to set up the Wifi module (bsc#1140117)
  • Fixes an issue where routing options were not set correctly (bsc#1132326)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE CaaS Platform 3.0:
    To install this update, use the SUSE CaaS Platform Velum dashboard. It will inform you if it detects new updates and let you then trigger updating of the complete cluster in a controlled way.

Package List:

  • SUSE CaaS Platform 3.0 (x86_64):
    • libwicked-0-6-0.6.55-38.19.1
    • libwicked-0-6-debuginfo-0.6.55-38.19.1
    • wicked-0.6.55-38.19.1
    • wicked-debuginfo-0.6.55-38.19.1
    • wicked-debugsource-0.6.55-38.19.1
    • wicked-service-0.6.55-38.19.1

References: